Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class Branch

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.Branch

All Implemented Interfaces:
  HiddenDataElement, LineElement, PaintableElement, java.lang.Cloneable

    public class Branch

extends ConcretePaintableElement
implements LineElement, HiddenDataElement, java.lang.Cloneable

The entity for a branch.

Author:
  Ben Stöver

Field Summary
`private BranchFormats` | `formats`
`private HiddenDataMap` | `hiddenDataMap`
`private Labels` | `labels`
`private double` | `length`
`private Node` | `targetNode`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`Branch(Node target)`

Method Summary
`Branch` | `clone()` Clones this `Branch` including its `Labels`-object with the included `Label`s.
`void` | `deleteLength()`
`BranchFormats` | `getFormats()`
`HiddenDataMap` | `getHiddenDataMap()`
`Labels` | `getLabels()`
`double` | `getLength()`
`LineFormats` | `getLineFormats()`
`Node` | `getTargetNode()`
`boolean` | `hasLength()`
`void` | `setFormats(ElementFormats formats)`
`void` | `setLength(double length)`
`void` | `setTargetNode(Node targetNode)`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### length

    private double length

### labels

    private Labels labels

### targetNode

    private Node targetNode

### formats

    private BranchFormats formats

### hiddenDataMap

    private HiddenDataMap hiddenDataMap

Constructor Detail

### Branch

    public Branch(Node target)

Method Detail

### getLineFormats

    public LineFormats getLineFormats()

### getLength

    public double getLength()

### setLength

    public void setLength(double length)

### hasLength

    public boolean hasLength()

### deleteLength

    public void deleteLength()

### getLabels

    public Labels getLabels()

### getTargetNode

    public Node getTargetNode()

### setTargetNode

    public void setTargetNode(Node targetNode)

### getFormats

    public BranchFormats getFormats()

  Specified by:
    `getFormats` in interface `LineElement`
  Specified by:
    `getFormats` in interface `PaintableElement`

### setFormats

    public void setFormats(ElementFormats formats)

  Specified by:
    `setFormats` in interface `PaintableElement`

### getHiddenDataMap

    public HiddenDataMap getHiddenDataMap()

  Specified by:
    `getHiddenDataMap` in interface `HiddenDataElement`

### clone

    public Branch clone()

  Clones this `Branch` including its `Labels`-object with the included `Label`s. The connected `Node`s are the same objects as in the original `Branch`.

  Specified by:
    `clone` in class `ConcretePaintableElement`
  Returns:
    the copy of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD